import os, sys, math, random, time, pygame
from pygame.locals import *
from pygame.compat import geterror

import util;

#preload all images that occur often in the game, for performance reasons
global images;

class Images():
    def  __init__(self):
        self.spiders = {}
        self.spiders['z'] = util.load_image("images/spider_large.png", -2)
        self.spiders['y'] = util.load_image("images/spider_large_red.png", -2)
        self.spiders['x'] = util.load_image("images/spider_large_green.png", -2)
        self.spiders['w'] = util.load_image("images/spider_large_yellow.png", -2)
        self.spiders['v'] = util.load_image("images/spider_large_blue.png", -2)
        self.spiders['u'] = util.load_image("images/spider_large_magenta.png", -2)
        self.explosion_big = [ util.load_image(("images/explosion_big/explosion_100%02d" % i) + ".png", -2) for i in range(1, 90) ]
        self.explosion_small = [ util.load_image("images/explosion/" + str(i) + ".png", -2) for i in range(1, 17) ]
        self.breakable_brick = [ util.load_image("images/glass_brick_" + str(i) + ".png") for i in range(1, 4) ] 
        self.unbreakable_brick =  util.load_image("images/metal_tile.png")
        self.falling_brick = util.load_image("images/rock_brick_1.png", -2)
        self.bubble_brick = util.load_image("images/bubble_blue.png", -2)
        self.dynamite_brick = util.load_image("images/dynamite_brick.png", -2)
        self.mutable_brick = util.load_image("images/spiderweb_tile.png")
        self.ball_normal = util.load_image("images/ballBlue.png", -2)
        self.ball_fire = util.load_image("images/ballRed.png", -2)
        self.net = util.load_image("images/metal_net.jpg")
        self.missile = util.load_image("images/missile.png", -1)
        self.spider_missile = util.load_image("images/spider_missile.png", -1)
        self.bomb = [ util.load_image("images/bomb" + str(i) + ".png", -2) for i in range (0,4) ] 
